# ApplicationFramework
TKPShape
PColgp

# PColgp_FieldOfHArray1OfXY Class Reference

`#include <PColgp_FieldOfHArray1OfXY.hxx>`

Inheritance diagram for PColgp_FieldOfHArray1OfXY:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PColgp_FieldOfHArray1OfXY ()
Standard_EXPORT | PColgp_FieldOfHArray1OfXY (const Standard_Integer Size)
Standard_EXPORT | PColgp_FieldOfHArray1OfXY (const PColgp_FieldOfHArray1OfXY &Varray)
Standard_EXPORT void | Resize (const Standard_Integer Size)
Standard_EXPORT void | Assign (const PColgp_FieldOfHArray1OfXY &Other)
void | operator= (const PColgp_FieldOfHArray1OfXY &Other)
Standard_EXPORT void | SetValue (const Standard_Integer Index, const gp_XY &Value)
Standard_EXPORT gp_XY & | Value (const Standard_Integer Index) const
gp_XY & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | Destroy ()
| ~PColgp_FieldOfHArray1OfXY ()

## Friends

Standard_EXPORT friend Handle_Standard_Type & | PColgp_FieldOfHArray1OfXY_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT PColgp_FieldOfHArray1OfXY::PColgp_FieldOfHArray1OfXY | ( |  | ) |

Standard_EXPORT PColgp_FieldOfHArray1OfXY::PColgp_FieldOfHArray1OfXY | ( | const Standard_Integer | Size | ) |

Standard_EXPORT PColgp_FieldOfHArray1OfXY::PColgp_FieldOfHArray1OfXY | ( | const PColgp_FieldOfHArray1OfXY & | Varray | ) |

PColgp_FieldOfHArray1OfXY::~PColgp_FieldOfHArray1OfXY | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void PColgp_FieldOfHArray1OfXY::Assign | ( | const PColgp_FieldOfHArray1OfXY & | Other | ) |

Standard_EXPORT void PColgp_FieldOfHArray1OfXY::Destroy | ( |  | ) |

| Reimplemented from DBC_BaseArray.

void PColgp_FieldOfHArray1OfXY::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PColgp_FieldOfHArray1OfXY::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PColgp_FieldOfHArray1OfXY::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from DBC_BaseArray.

gp_XY& PColgp_FieldOfHArray1OfXY::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

void PColgp_FieldOfHArray1OfXY::operator= | ( | const PColgp_FieldOfHArray1OfXY & | Other | ) | `[inline]`

Standard_EXPORT void PColgp_FieldOfHArray1OfXY::Resize | ( | const Standard_Integer | Size | ) |

Standard_EXPORT void PColgp_FieldOfHArray1OfXY::SetValue | ( | const Standard_Integer | Index,
|  | const gp_XY & | Value
| ) |

Standard_EXPORT gp_XY& PColgp_FieldOfHArray1OfXY::Value | ( | const Standard_Integer | Index | ) | const

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& PColgp_FieldOfHArray1OfXY_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- PColgp_FieldOfHArray1OfXY.hxx